Subject: bug#45082: Let's Encrypt certbot EOL for debbugs

From: Bob Proulx <[email-masked]>
Date: Sun, 6 Dec 2020 14:07:55 -0700

Package: debbugs.gnu.org

Today in the cron mail came this message.  We have reached the EOL end
of life for the EFF Certbot support on the debbugs host.

    Date: Sun, 06 Dec 2020 06:02:06 -0500
    From: Cron Daemon <[email-masked]>
    To: [email-masked]
    Subject: Cron <root@debbugs> /srv/letsencrypt/certbot-auto --quiet -n --apache renew

    Your system is not supported by certbot-auto anymore.
    Certbot will no longer receive updates.
    Please visit https://certbot.eff.org/ to check for other alternatives.
    Challenge failed for domain debbugs.gnu.org
    Attempting to renew cert (debbugs.gnu.org) from /etc/letsencrypt/renewal/debbugs.gnu.org.conf pr
    oduced an unexpected error: Some challenges have failed.. Skipping.
    All renewal attempts failed. The following certs could not be renewed:
      /etc/letsencrypt/live/debbugs.gnu.org/fullchain.pem (failure)
    1 renew failure(s), 0 parse failure(s)

It's time to upgrade.  I have switched my own systems to using the
"dehydrated" Let's Encrypt client.  It's very portable.  I have used
it on a variety of quite varied systems.  This will allow us to keep
using debbugs without problems.  We should get back to working on the
debbugs2p upgrade however.

The current https certificate expires 29-Dec-2020 and so I will plan
on having this switch accomplished prior to that certificate expiration.